default_language_version:
  python: python3

repos:
  - repo: https://github.com/timothycrosley/isort
    rev: 5.9.3
    hooks:
      - id: isort
  - repo: https://github.com/myint/autoflake
    rev: v1.4
    hooks:
      - id: autoflake
        name: autoflake
        entry: autoflake --in-place --remove-all-unused-imports --ignore-init-module-imports --exclude env --recursive ./src
        language: python
        files: \.py$
  - repo: https://github.com/ambv/black
    rev: 21.5b2
    hooks:
      - id: black
        language: python
    entry: black --exclude="env" ./src
